#!/usr/bin/perl
# 2008 Nicholas Polys     npolys@vt.edu
# Free to use; No warranties
# Attribution appreciated

#use strict;



use Data::Dumper;

my  @Temp = [];
my $name;
my @data =  "";
my $items= 16;
my $samples= 200;
my $range=3.0;
my $y;
my $z;

if (!@ARGV){ $name = "anispace_v1.txt";
}else {      $name = $ARGV[0];

}


# get your file and build an array
open(oPUTF,">$name") or die "can't open ".$name." .out data file!!!\n ";


$data2 = "";

for ($iter = 0; $iter < $items; $iter++){

# print "loop outer\n";
my $r = rand (12);
my $interval = $range / $samples;
$data2 .= "data".$iter ;

 for ($s = 0.0001; $s < $range; $s = $s + $interval ){
        # print "loop inner\n";
        $y = (sin ($s * $r));
        $z = cos ($s * $r);

$data2 .= "\t".$s."\t".$y."\t".$z."\t";

          # print "loop inner after comp ".$s."\n";

	}

      $data2 .= "\n" ;
     # print $data2;
 }

print oPUTF $data2;

close(oPUTF);


